#ifndef _SCORE_
#define _SCORE_

class Score  {

  public:

  /* Score S1S */

  /* diploid genotype, diploid local anc, dichotomous phenotype */
  double scoreS1S(int n, int *G, int *A, int *P);

  /* diploid genotype, diploid local anc, quantitative */
  double scoreS1S(int n, int *G, int *A, double *P);

  /* diploid genotype, local anc probabilities, dichotomous */
  double scoreS1S(int n, int *G, double *A0, double *A1, double *A2, int *P);

  /* diploid genotype, local anc probabilities, quantitative */
  double scoreS1S(int n, int *G, double *A0, double *A1, double *A2, double *P);


  private:
    double *rval;    // odds ratios
    string *rstr;    // names of odds ratios

    int    *eflags;  // eflags
    string *estr;    // error messages

};

#endif

